//
// RTN project-wide includes and crossplatform fixups
// Copyright (c) 1996-2000 Alex Ermolovich
//
// 02.02.2000 snapshot, ripped from "Concordia 0.6.1"
//
#include <time.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fstream.h>
#include <sys/stat.h>

#ifdef NEED_BOOL
typedef char bool;
#define	true	1
#define	false	0
#endif

#if defined (__BORLANDC__) || defined (__WATCOMC__)
#define _getch			getch
#define _strset(A,B)		strset(A,B)
#endif

#ifdef unix
#include <unistd.h>
#define PATH_DELIM		'/'
#define O_BINARY		0
#define DIR_CREATION_MODE	O_RDWR
#define chsize(A,B)		ftruncate(A,B)
#define stricmp(A,B)		strcasecmp(A,B)
#define strnicmp(A,B,C)		strncasecmp(A,B,C)
#define fakebinary		bin
#define _strset(A,B)		memset(A,B,strlen(A))
#define _mkdir(A)		mkdir(A,DIR_CREATION_MODE)
#else
#include <io.h>
#include <conio.h>
#include <direct.h>
#define PATH_DELIM		0x5c
#define R_OK			0
#define srandom(A)		srand(A)
#define random(A)		rand(A)
#define mkdir(A,B)		mkdir(A)
#define fakebinary		binary
#define strncasecmp(A,B,C)	strnicmp(A,B,C)
#define strcasecmp(A,B)		stricmp(A,B)
#define ftruncate(A,B)		chsize(A,B)
#define truncate(A,B)		{int qwertyT=open(A,O_BINARY|O_WRONLY);chsize(qwertyT,B);close(qwertyT);}
#endif
