//
// RTN console stuff - drawing chars
// Copyright (c) 1996-9 Alex Ermolovich
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#ifndef __RTN_CONDRAW_H
#define __RTN_CONDRAW_H

#ifdef NO_HIASCII
#define LTCOR '+'
#define LBCOR '+'
#define RTCOR '+'
#define RBCOR '+'
#define HLINE '-'
#define VLINE '|'
#define LGRID ':'
#define MGRID ';'
#define DGRID '|'
#else
#define LTCOR 0xda
#define LBCOR 0xc0
#define RTCOR 0xbf
#define RBCOR 0xd9
#define HLINE 0xc4
#define VLINE 0xb3
#define LGRID 0xb0
#define MGRID 0xb1
#define DGRID 0xb2
#endif

#endif
