//
// Neslie
// Copyright (c) 1996-2000 Alex Ermolovich
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#include "_united.h"
#include "_version.h"
#include "viewer.h"

int main(int argc, char**argv)
{
 printf("(RTN) Neslie, an 'Alternative Msg/PktView' [%s]\nCopyright (c) 1996-2000 Alex Ermolovich.\n\n",VERSION);
 if(argc!=2)
 {
  printf("Usage: %s <pkt>|<msg>\n",strchr(argv[0],'/')?1+strrchr(argv[0],'/'):(strchr(argv[0],'\\')?1+strrchr(argv[0],'\\'):argv[0]));
  return 1;
 }
 if(access(argv[1],0)==-1)
 {
  printf("OOPS[1]: cannot access file!\n");
  return 2;
 }
 Viewer PktView;
 if(!stricmp(argv[1]+strlen(argv[1])-4,".msg"))
  PktView.ViewMsg(argv[1]);
 else
  if(!PktView.ViewPkt(argv[1]))
  {
   printf("OOPS[2]: bad packet!\n");
   return 3;
  }    
 return 0;
}
