//
// RTN X11Console keysym translation table
// Copyright (c) 1996-8 Alex Ermolovich
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#define KEY_TRANS_NUM 24

static struct {char*name;short int value;} KEY_TRANS[KEY_TRANS_NUM]={
{"Escape"   ,_KBD_ESC  },
{"F1"       ,_KBD_F1   },
{"F2"       ,_KBD_F2   },
{"F3"       ,_KBD_F3   },
{"F4"       ,_KBD_F4   },
{"F5"       ,_KBD_F5   },
{"F6"       ,_KBD_F6   },
{"F7"       ,_KBD_F7   },
{"F8"       ,_KBD_F8   },
{"F9"       ,_KBD_F9   },
{"F10"      ,_KBD_F10  },
{"Return"   ,_KBD_ENTER},
{"Left"     ,_KBD_LEFT },
{"Right"    ,_KBD_RIGHT},
{"Up"       ,_KBD_UP   },
{"Down"     ,_KBD_DOWN },
{"Insert"   ,_KBD_INS  },
{"Delete"   ,_KBD_DEL  },
{"Home"     ,_KBD_HOME },
{"End"      ,_KBD_END  },
{"Prior"    ,_KBD_PGUP },
{"Next"     ,_KBD_PGDN },
{"BackSpace",_KBD_BS   },
{"Tab"      ,_KBD_TAB  }
};
